routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();
Route::get('/clear', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cleared!";
});
Route::get('/', 'HomeController@index')->name('welcome');
Route::get('/article/{id}', 'HomeController@singleArticle')->name('single.article');
Route::get('/doctor', 'HomeController@doctor')->name('doctor');
Route::get('/doctor/{id}details', 'HomeController@doctorInfo')->name('doctor.info');
Route::get('/question/answer', 'HomeController@questionPage')->name('question.answer');

Route::group(['middleware'=>['auth']], function ()
{
    Route::post('/question/comment/store','Patent\QuestionAskController@CommentStore')->name('question.comment.store');
    Route::post('/article/comment/store','ArticleCommentController@CommentStore')->name('article.comment.store');
    Route::get('/article/comment/reload{id}','ArticleCommentController@reload')->name('article.comment.reload');
    Route::get('/message/page','MessageController@messagePage')->name('message.page');
    Route::get('message/contacts','MessageController@getContacts');
    Route::get('/get/message/{id}','MessageController@getMessage');
    Route::post('/sent/message','MessageController@sentMessage');

});

Route::group(['as'=>'doctor.','prefix'=>'doctor','namespace'=>'Doctor','middleware'=>['auth','doctor']], function ()
{
    Route::get('/profile','ProfileController@index')->name('profile');
    Route::post('/article/post','ArticleController@store')->name('article.store');

});
Route::group(['as'=>'patent.','prefix'=>'patent','namespace'=>'Patent','middleware'=>['auth','patent']], function ()
{
    Route::post('/ask/question/post','QuestionAskController@store')->name('question.store');

});

resources/views/articleComment.blade.php
@foreach($comments as $comment)
    <ol class="comment-list">
        <li class="comment even thread-even depth-1 parent">
            <article class="comment">
                <div class="comment-author"><img class="media-object" alt=""
                                                 src="{{asset('assets/frontend/images/faces/04.jpg')}}"></div>
                <div class="comment-body">
                    <div class="comment-meta darklinks">
                        <a class="author_url" rel="external nofollow" href="#">{{$comment->user->name}}</a>
                        <span class="comment-date">
                            <i class="fa fa-calendar highlight4 rightpadding_5"
                               aria-hidden="true"></i>
                            <time datetime="2017-10-03T08:50:40+00:00">
                                {{$comment->created_at->diffForHumans()}}
                            </time>
                        </span>
                    </div>
                    <div class="comment-text">
                        <p>{{$comment->comment}}</p>
                    </div>
                    <span class="reply">
                        <a href="#respond">
                            <i class="fa fa-reply" aria-hidden="true"></i>
                        <span class="sr-only">Reply</span> </a>
                    </span>
                </div>
            </article>
        <!-- .comment-body
                                <ol class="children">
                                    <li class="comment byuser odd alt depth-2 parent">
                                        <article class="comment">
                                            <div class="comment-author">
                                                <img class="media-object" alt="" src="{{asset('assets/frontend/images/faces/05.jpg')}}">
                                            </div>
                                            <div class="comment-body">
                                                <div class="comment-meta darklinks"> <a class="author_url" rel="external nofollow" href="#">Devin McGee</a>
                                                    <span class="comment-date">
													<i class="fa fa-calendar highlight4 rightpadding_5" aria-hidden="true"></i>
													<time datetime="2017-10-03T08:50:40+00:00">
														25 jan, 2018
													</time>
												</span> </div>
                                                <div class="comment-text">
                                                    <p>Shankle ham hock chuck pork chop capicola. Ham andouille beef chicken.</p>
                                                </div> <span class="reply">
												<a href="#respond">
													<i class="fa fa-reply" aria-hidden="true"></i>
													<span class="sr-only">Reply</span> </a>
														</span>
                                            </div>
                                        </article>
                                    </li>
                                </ol>
                                ----->
        </li>
        <!-- #comment-## -->
    </ol>
@endforeach
<!-- .comment-list -->

resources/views/doctor.blade.php
@extends('layouts.frontend.app')

@section('content')
    <section class="ls page_portfolio section_padding_top_100 section_padding_bottom_100">
        <div class="container">
            <div class="row flex-wrap columns_margin_bottom_20">
                @foreach($doctors as $doctor)
                    <div class="col-sm-6 col-md-4">
                    <article class="vertical-item content-padding big-padding with_border bottom_color_border loop-color text-center">
                        <div class="item-media">
                            <img src="{{asset('assets/frontend/images/faces/04.jpg')}}" alt="">
                        </div>
                        <div class="item-content">
                            <header class="entry-header">
                                <h3 class="entry-title small bottommargin_0">
                                    <a href="{{route('doctor.info',$doctor->id)}}">{{$doctor->user->name}}</a>
                                </h3>
                            </header>
                            <p class="member-social greylinks">{{ $doctor->specialist?$doctor->specialist->name:'' }}</p>
                        </div>
                    </article>
                </div>
                @endforeach
            </div>
        </div>
    </section>

@endsection

resources/views/doctorDetails.blade.php
@extends('layouts.frontend.app')

@section('content')
    <section class="ls section_padding_top_100 section_padding_bottom_80 columns_padding_30">
        <div class="container">
            <div class="row">
                <div class="col-sm-5">
                    <article class="vertical-item content-padding big-padding with_border bottom_color_border text-center">
                        <div class="item-media">
                            <img src="{{asset('assets/frontend/images/faces/02.jpg')}}" alt="">
                        </div>
                        <div class="item-content">
                            <header class="entry-header">
                                <h1 class="entry-title small bottommargin_0"> Adeline Barnett </h1>
                                <span class="small-text highlight">Cardiologist </span>
                            </header>
                            <p class="member-social greylinks"></p>
                        </div>
                    </article>
                </div>
                <div class="col-sm-7">
                    <p>Kielbasa pancetta sirloin tail meatball, corned beef doner shoulder cow bacon jerky leberkas. Meatball tail landjaeger, cupim alcatra pancetta biltong frankfurter picanha. Turducken pork loin tail pastrami strip steak. Sausage ground round chuck
                        andouille, pork belly bacon ham hock picanha cow spare ribs meatball frankfurter t-bone salami.</p>
                    <p>Landjaeger burgdoggen bresaola picanha, chuck swine cow frankfurter biltong chicken leberkas brisket sausage flank pig.Brisket frankfurter ham hock sausage strip steak flank ground round ball tip, doner corned beef t-bone cow jowl bacon turkey.</p>
                    <ul class="list2 color2 checklist greylinks">
                        <li> Lorem ipsum dolor sit amet </li>
                        <li> Sint animi non ut sed </li>
                        <li> Eaque blanditiis nemo </li>
                    </ul>
                    <p>Cow frankfurter tri-tip chuck flank jowl cupim chicken picanha turducken pork chop pig. Cupim pork biltong pork chop strip steak, hamburger beef ribs ground round. Cow shoulder meatloaf alcatra, ham pork loin shank jerky burgdoggen meatball cupim
                        kevin prosciutto ground round. </p>
                    <!-- Nav tabs -->
                    <!-- eof .tab-content -->
                </div>
                <div class="col-md-12">
                    <ul class="nav nav-tabs color2 topmargin_40" role="tablist">
                        <li class="active"><a href="#tab1" role="tab" data-toggle="tab">Chamber</a></li>
                        <li><a href="#tab2" role="tab" data-toggle="tab">Education History</a></li>
                        <li><a href="#tab3" role="tab" data-toggle="tab">Achievement</a></li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content big-padding top-color-border color2 bottommargin_20">
                        <div class="tab-pane fade in active" id="tab1">
                            <h4>Chamber at Mipur:</h4>
                            <p> Ut wisi enim ad minim veniaquis nostrud exetation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Dutem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis
                                at vero eros et accumsan et iusto odio dignissim qui blandit. </p>
                            <h4>Chamber at Dhanmondi:</h4>
                            <p> Dutem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit. Praesent luptatum zzril delenit augue duis dolore te
                                feugait nulla facilisi. </p>
                        </div>
                        <div class="tab-pane fade" id="tab2">
                            <p class="progress-bar-title"> Skill Name </p>
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" data-transitiongoal="90"> <span>90%</span> </div>
                            </div>
                            <p class="progress-bar-title"> Skill Name </p>
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" data-transitiongoal="100"> <span>100%</span> </div>
                            </div>
                            <p class="progress-bar-title"> Skill Name </p>
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" data-transitiongoal="75"> <span>75%</span> </div>
                            </div>
                            <p class="progress-bar-title"> Skill Name </p>
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" data-transitiongoal="95"> <span>95%</span> </div>
                            </div>
                        </div>
                        <div class="tab-pane fade" id="tab3">
                            <div class="tab-pane fade in active" id="tab1">
                                <h4>The Franklin Institute Awards:</h4>
                                <p> Ut wisi enim ad minim veniaquis nostrud exetation ullamcorper suscipit lobortis nisl ut aliquip ex ea commodo consequat. Dutem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis
                                    at vero eros et accumsan et iusto odio dignissim qui blandit. </p>
                                <h4>Albert Einstein World Award of Science:</h4>
                                <p> Dutem vel eum iriure dolor in hendrerit in vulputate velit esse molestie consequat, vel illum dolore eu feugiat nulla facilisis at vero eros et accumsan et iusto odio dignissim qui blandit. Praesent luptatum zzril delenit augue duis dolore te
                                    feugait nulla facilisi. </p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
@endsection

resources/views/home.blade.php
@extends('layouts.frontend.app')

@section('content')
    <section id="blog" class="ls section_padding_top_90 section_padding_bottom_110">
        <div class="container">
            <section id="post" class="section_padding_left_120">
                <div class="text">
                    <textarea placeholder="What's in your mind" style="width: 90%;" rows="4"></textarea>
                    <input type="submit" value="post" />
                </div>
            </section>
            <div class="row flex-wrap v-center">
                <article class="post format-small-image topmargin_30 to_animate" data-animation="fadeInRight">
                    <div class="side-item side-md content-padding big-padding with_border bottom_color_border left">
                        <div class="row">
                            <div class="col-md-5 col-lg-4">
                                <div class="item-media entry-thumbnail">
                                    <img src="{{asset('assets/frontend/images/events/09.jpg')}}" alt="">
                                </div>
                            </div>
                            <div class="col-md-7 col-lg-8">
                                <div class="item-content">
                                    <header class="entry-header">
                                        <h3 class="entry-title small">
                                            <a href="{{route('doctor.info','1')}}" rel="bookmark">Dr. Abdul Karim</a>
                                        </h3>
                                        <div class="entry-meta inline-content greylinks"> <span>
                                            <i class="fa fa-calendar highlight rightpadding_5" aria-hidden="true"></i>
                                            <a href="#">
                                                <time datetime="2017-10-03T08:50:40+00:00">
                                                    17 jan, 2018</time>
                                            </a>
                                        </span> <span>
                                        </span> </div>
                                    </header>
                                    <div class="entry-content md-content-3lines-ellipsis">
                                        <p>Nostrud ham hock fatback aute tri-tip sausage doner mollit quis laboris. Jerky meatball cupim filet mignon. Prosciutto rump eu fatback andouille eiusmod strip steak. Fugiat shoulder salami chuck in mollit. Minim nulla beef ribs adipisicing.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>

                <article class="post format-small-image topmargin_30 to_animate" data-animation="fadeInLeft">
                    <div class="side-item side-md content-padding big-padding with_border bottom_color_border right">
                        <div class="row">
                            <div class="col-md-5 col-lg-4">
                                <div class="item-media entry-thumbnail"> <img src="{{asset('assets/frontend/images/events/08.jpg')}}" alt=""> </div>
                            </div>
                            <div class="col-md-7 col-lg-8">
                                <div class="item-content">
                                    <header class="entry-header">
                                        <h3 class="entry-title small">
                                            <a href="#" rel="bookmark">Dr. Abdul Hamid</a>
                                        </h3>
                                        <div class="entry-meta inline-content greylinks"> <span>
                                            <i class="fa fa-calendar highlight rightpadding_5" aria-hidden="true"></i>
                                            <a href="#">
                                                <time datetime="2017-10-03T08:50:40+00:00">
                                                    17 jan, 2018</time>
                                            </a>
                                        </span>
                                        </div>
                                    </header>
                                    <div class="entry-content md-content-3lines-ellipsis">
                                        <p>Qui laboris ut, duis excepteur fatback boudin nostrud esse ea pork chop cupidatat cupim. Picanh landjaeger buffalo consequat jerky brisket, cupim ribeye magna beef occaecat. Venison salami pancetta t-bone ut, exercitation aliqua.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>
@endsection

resources/views/message.blade.php
@extends('layouts.app')
@push('css')
    <link href="{{ asset('assets/chat/dist/css/soho.min.css') }}" rel="stylesheet">
@endpush
@section('content')
    <Chat :user="{{auth()->user()}}"></Chat>
@endsection
@push('js')
    <!-- JQuery -->
    <script src="{{asset('assets/chat/vendor/jquery-3.4.1.min.js')}}"></script>

    <!-- Popper.js -->
    <script src="{{asset('assets/chat/vendor/popper.min.js')}}"></script>

    <!-- Bootstrap -->
    <script src="{{asset('assets/chat/vendor/bootstrap/bootstrap.min.js')}}"></script>

    <!-- Nicescroll -->
    <script src="{{asset('assets/chat/vendor/jquery.nicescroll.min.js')}}"></script>

    <!-- Soho -->
    <script src="{{asset('assets/chat/dist/js/soho.min.js')}}"></script>
    <script src="{{asset('assets/chat/dist/js/examples.js')}}"></script>
@endpush

resources/views/questionPage.blade.php
@extends('layouts.frontend.app')

@section('content')
    <section class="page_breadcrumbs ds background_cover section_padding_top_40 section_padding_bottom_40">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <h2>Ask a question</h2>
                </div>
            </div>
        </div>
    </section>
    <section class="ls section_padding_top_80 section_padding_bottom_80 columns_padding_30">
        <div class="container">
            @if (isset(auth()->user()->role) and auth()->user()->role->id == 3)
                <!-------question section ---->
                <div class="comment-respond text-center" id="respond">
                    <h3>Write your question here</h3>
                    <h6 id="status"></h6>
                    <form id="question-form" class="comment-form" method="post" action="javascript:void(0);">
                        @csrf
                        <div class="row columns_padding_10">
                            <div class="col-xs-12">
                                <div class="form-group margin_0">
                                    <label for="question_filed"></label>
                                    <textarea aria-required="true" required id="question_filed" rows="4" cols="45" name="question" class="form-control text-center" placeholder="write your question here ............."></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="form-submit topmargin_30">
                            <input type="submit" id="question_submit" value="Submit" name="submit" class="theme_button color1 min_width_button margin_0 hidden" />
                        </div>
                    </form>
                </div>
                <!-- question section end --->
            @endif
            <div class="row">
                <div class="col-sm-10 col-sm-push-1">
                    @foreach($questions as $question)
                        <article class="vertical-item content-padding big-padding with_border single-post post">
                        <div class="item-content">
                            <div class="entry-content">
                                <p>{{$question->description}}</p>
                            </div>
                            <!-- .entry-content -->
                            <header class="entry-header">
                                <div class="comment-body">
                                    <div class="comment-meta darklinks">
                                        Posted on
                                        <span class="comment-date">
                                        <i class="fa fa-calendar highlight4 rightpadding_5" aria-hidden="true"></i>
                                        <time datetime="2017-10-03T08:50:40+00:00">
                                             {{ \Carbon\Carbon::parse($question->created_at)->format('d M, Y') }}
                                        </time>
                                    </span> </div>
                                </div>
                            </header>
                        </div>
                        <!-- .item-content -->
                    </article>
                    <div class="comments-area" id="comments">
                        <h4>Comments({{$question->comments->count()}})</h4>
                        @foreach($question->comments as $comment)
                            <ol class="comment-list">
                            <li class="comment even thread-even depth-1 parent">
                                <article class="comment">
                                    <div class="comment-author">
                                        <img class="media-object" alt="" src="{{asset('assets/frontend/images/faces/05.jpg')}}">
                                    </div>

                                    <div class="comment-body">
                                        <div class="comment-meta darklinks">
                                            <a class="author_url" rel="external nofollow" href="#">{{$comment->user->name}}</a>
                                            <span class="comment-date">
                                                <i class="fa fa-calendar highlight4 rightpadding_5" aria-hidden="true"></i>
                                                <time datetime="2017-10-03T08:50:40+00:00">{{$comment->created_at->diffForHumans()}}</time>
                                            </span>
                                        </div>

                                        <div class="comment-text">
                                            <p>{{ $comment->comment }}</p>
                                        </div> <span class="reply">
                                        <a href="#respond">
                                            <i class="fa fa-reply" aria-hidden="true"></i>
                                            <span class="sr-only">Reply</span> </a>
                                    </span>
                                    </div>
                                </article>
                                <!-- .comment-body -->

                                <!-- .comment-body
                                <ol class="children">
                                    <li class="comment byuser even depth-3">
                                        <article class="comment">
                                            <div class="comment-author">
                                                <img class="media-object" alt="" src="{{asset('assets/frontend/images/faces/06.jpg')}}">
                                            </div>
                                            <div class="comment-body">
                                                <div class="comment-meta darklinks">
                                                    <a class="author_url" rel="external nofollow" href="#">Dr. Xefer Rahman</a>
                                                    <span class="comment-date">
                                                    <i class="fa fa-calendar highlight4 rightpadding_5" aria-hidden="true"></i>
                                                    <time datetime="2017-10-03T08:50:40+00:00">
                                                        25 jan, 2019
                                                    </time>
                                                </span> </div>
                                                <div class="comment-text">
                                                    <p>Shankle ham hock chuck pork chop capicola. Ham andouille beef chicken.</p>
                                                </div> <span class="reply">
                                                <a href="#respond">
                                                    <i class="fa fa-reply" aria-hidden="true"></i>
                                                    <span class="sr-only">Reply</span> </a>
                                            </span>
                                            </div>
                                        </article>
                                    </li>
                                </ol>
                                ----->
                            </li>
                        </ol>
                        @endforeach
                    </div>
                    @if (auth()->check())
                        <!-- #comments -->
                        <div class="comment-respond text-center" id="respond">
                            <h3>Write comment Now:</h3>
                            <form class="comment-form" id="comment-form" method="post" action="{{route('question.comment.store')}}">
                                @csrf
                                <div class="row columns_padding_10">
                                    <div class="col-xs-12">
                                        <div class="form-group margin_0">
                                            <label for="comment">Comment</label>
                                            <textarea aria-required="true" onclick="submitButton({{$question->id}});" rows="4" cols="30" name="comment" id="comment" class="form-control text-center" placeholder="write your Comment here ............."></textarea>
                                            <input type="hidden" name="question_id" value="{{$question->id}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-submit topmargin_30">
                                    <input type="submit" id="submit{{$question->id}}" name="submit" value="Submit" class="theme_button color3 min_width_button margin_0 hidden">
                                </div>
                            </form>
                        </div>
                    @endif
                    @endforeach
                </div>
            </div>

        </div>
    </section>
@endsection

@push('js')
    @if (isset(auth()->user()->role) and auth()->user()->role->id == 3)
        <script>
            $(document).ready(function(){
                $('#question_filed').on('click',function () {
                    $('#question_submit').removeClass('hidden');
                });
                $('#question-form').submit(function () {
                    $.post("<?php echo url(route('patent.question.store'))?>", $(this).serialize(),function (data) {
                        $('#status').html(data);
                        $('#question_filed').val('');
                        $('#question_submit').addClass('hidden');
                    });
                    return false;
                });
            });
        </script>
    @endif
    @if (auth()->check())
        <script>
            function submitButton(id){
                $('#submit'+id).removeClass('hidden');
            }
        </script>
    @endif
@endpush